<?php
require('../fpdf/fpdf.php');
require "../db.php";

class PDF extends FPDF
{
    function Header() {
        //$this->Image('../../assets/aushadhmitra.png',10,6,100);
        $this->SetFont('Arial','B',14);
        $this->Cell(190,5,'Date Wise Purchase Report',0,0,'C');
        $this->Ln();
        $this->SetFont('Times','',12);
        $this->Cell(190,10,'From Date: '. $_GET["from_date"].' To Date: '. $_GET["to_date"],0,0,'C');
        $this->Ln(15);
    }
    function Footer() {
        $this->SetY(-15);
        $this->SetFont('Arial','I',8);
        $this->Cell(0,10,'Page '.$this->PageNo().'/{nb}',0,0,'C');
    }
    function headerTable() {
        $this->SetFont('Times','B',12);
        $this->Cell(25,10,'Invoice No',1,0,'C');
        $this->Cell(25,10,'Date',1,0,'C');
        $this->Cell(85,10,'Distributor',1,0,'C');
        $this->Cell(30,10,'Invoice Amount',1,0,'C');
        $this->Cell(25,10,'Due Amount',1,0,'C');
        $this->Ln();
    }
    function viewTable($conn) {
        $total_amount = 0;
        $total_due = 0;
        $sql = "select * from purchase WHERE invoice_date >= '".$_GET["from_date"]."' AND invoice_date <= '".$_GET["to_date"]."' AND client_no='".$_GET["id"]."'";
        $result = $conn->query($sql);
        if($result->num_rows > 0) {
            while ($row = $result->fetch_assoc()) {
                $this->SetFont('Times','',10);
                $this->Cell(25,10,$row["invoice_no"],1,0,'L');
                $dt = new DateTime($row["invoice_date"]);
                $this->Cell(25,10,$dt->format('d/m/Y'),1,0,'C');
                $this->Cell(85,10,$row["distributor_name"],1,0,'C');
                $this->Cell(30,10,$row["net_total"],1,0,'C');
                $this->Cell(25,10,$row["balance"],1,0,'C');
                $this->Ln();
                $total_amount+= $row["net_total"];
                $total_due+= $row["balance"];
            }
        }
        $this->Cell(135,10,'Total: ',1,0,'R');
        $this->Cell(30,10,$total_amount,1,0,'C');
        $this->Cell(25,10,$total_due,1,0,'C');
    }
}

$pdf=new PDF();
$pdf->AliasNbPages();
$pdf->AddPage('', 'A4', 0);
$pdf->headerTable();
$pdf->viewTable($conn);
$pdf->Output();
?>